<?php
/**
 * 
 * @file guestbook.php
 * @copyright (c) 2005 - 2011 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_guestbook.php');

$url = 'mod_guestbook/guestbook.php';
Common::checkAdminFileAuth($url); //check file authority
$clComguestbook = new Comguestbook();

$act = kGet('act');
switch ($act) {
    case 'delete_forever':
        $clComguestbook -> deleteRecords();
        break;

    case 'setvalue':
        $clComguestbook -> setFieldRecords();
        break;

    default :
        $clComguestbook -> layout_guestbook();
        break;
} 

?>